lucid->oneiric upgrades fail udev upgrade: unrecognized option '--convert-db'

Bug #887892 reported by eBrandon Arp on 2011-11-09
148
This bug affects 9 people
Affects Status Importance Assigned to Milestone
udev (Ubuntu)
High
Martin Pitt
Precise
High
Martin Pitt

Bug Description

Was in the process of updating from 10.04 LTS to the latest dev release. Attempting to install on a VirtualBox virtual machine. VirtualBox version was 4.1.6.

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: udev 173-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.32-34.77-generic-pae 2.6.32.44+drm33.19
Uname: Linux 2.6.32-34-generic-pae i686
Architecture: i386
CustomUdevRuleFiles: 60-vboxadd.rules
Date: Tue Nov 8 22:11:08 2011
ErrorMessage: ErrorMessage: subprocess installed post-installation script returned error exit status 1
Lsusb:
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: innotek GmbH VirtualBox
ProcKernelCmdLine: root=/dev/mapper/hostname-root ro quiet splash
SourcePackage: udev
Title: package udev 173-0ubuntu5 failed to install/upgrade: ErrorMessage: subprocess installed post-installation script returned error exit status 1
dmi.bios.date: 12/01/2006
dmi.bios.vendor: innotek GmbH
dmi.bios.version: VirtualBox
dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:
dmi.product.name: VirtualBox
dmi.product.version: 1.2
dmi.sys.vendor: innotek GmbH

eBrandon Arp (brandonarp) wrote :
Martin Pitt (pitti) wrote :

Direct 10.04 LTS -> 11.10 upgrades are not officially supported. I'll fix this for 10.04 LTS -> 12.04 LTS upgrades, though. Can you try

  sudo apt-get -f install

to recover?

summary: - package udev 173-0ubuntu5 failed to install/upgrade: ErrorMessage:
- subprocess installed post-installation script returned error exit status
- 1
+ package udev 173-0ubuntu5 failed to install/upgrade: unrecognized option
+ '--convert-db'
summary: - package udev 173-0ubuntu5 failed to install/upgrade: unrecognized option
+ lucid->oneiric upgrades fail udev upgrade: unrecognized option
'--convert-db'
Changed in udev (Ubuntu):
status: New → Triaged
importance: Undecided → High
Martin Pitt (pitti) on 2011-11-11
Changed in udev (Ubuntu Precise):
assignee: nobody → Martin Pitt (pitti)
milestone: none → ubuntu-12.04-beta-1
Martin Pitt (pitti) on 2011-11-11
Changed in udev (Ubuntu Precise):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 175-0ubuntu2

---------------
udev (175-0ubuntu2) precise; urgency=low

  * debian/udev.postinst: Ignore failures of "udevadm --convert-db". This
    option does not exist any more in Ubuntu 11.10 and later, so for upgrades
    from 10.04 LTS to 12.04 LTS you need to reboot. This doesn't really hurt,
    as there are already two dozen other reasons to reboot after upgrade.
    (LP: #887892)
  * Partially revert r2735 and move the daemon back to /sbin/, to better
    comply with FHS.
  * debian/udev.postinst: Use invoke-rc.d to restart udev instead of
    "restart", to pick up new daemon path. (LP: #889226)
 -- Martin Pitt <email address hidden> Tue, 15 Nov 2011 08:14:03 +0100

Changed in udev (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.